{
  description = "A few hydra jobs";
  inputs = {
    nixpkgs.url = github:NixOS/nixpkgs/nixos-unstable;
    flake-utils.url = github:numtide/flake-utils;
    uiua = {
      url = github:uiua-lang/uiua?ref=0.7.1;
      inputs.nixpkgs.follows = "nixpkgs";
    };
    #nickel = {
    #  url = github:tweag/nickel/stable;
    #  inputs.nixpkgs.follows = "nixpkgs";
    #};
  };
  outputs = { self, nixpkgs, flake-utils, uiua#, nickel
  }:
    flake-utils.lib.eachDefaultSystem (system:
      let pkgs = import nixpkgs { inherit system; };
      in {
        packages = {
          default = uiua.packages.${system}.default;
          #nickel = nickel.packages.${system}.default;
        };
        hydraJobs = {
          inherit (self) packages;
        };
      });
}
